| AAX SDK 2.8.0 Avid Audio Extensions Development Kit

- Welcome
- Manual
- Classes
- Files
- Lists
- Support

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
List of all members | Public Member Functions | Static Public Member Functions
AAX::Exception::ResultError Class Reference

`#include <AAX_Exception.h>`

Inheritance diagram for AAX::Exception::ResultError:
[legend]
Collaboration diagram for AAX::Exception::ResultError:
[legend]

## Description

Exception class for AAX_EError results

## Public Member Functions
| ResultError (AAX_Result inWhatResult)
template<class C >
| ResultError (AAX_Result inWhatResult, const C &inFunction)
template<class C1 , class C2 >
| ResultError (AAX_Result inWhatResult, const C1 &inFunction, const C2 &inLine)
| ResultError (const ResultError &inOther)
AAX_Result | Result () const
Public Member Functions inherited from AAX::Exception::Any
virtual | ~Any ()
template<class C >
| Any (const C &inWhat)
template<class C1 , class C2 , class C3 >
| Any (const C1 &inWhat, const C2 &inFunction, const C3 &inLine)
| Any (const Any &inOther)
Any & | operator= (const Any &inOther)
| AAX_DEFAULT_MOVE_CTOR (Any)
| AAX_DEFAULT_MOVE_OPER (Any)
const std::string & | What () const
const std::string & | Desc () const
const std::string & | Function () const
const std::string & | Line () const

## Static Public Member Functions
static std::string | FormatResult (AAX_Result inResult)

## Constructor & Destructor Documentation

## ◆ ResultError() [1/4]

AAX::Exception::ResultError::ResultError | ( | AAX_Result | inWhatResult | ) |
| inline explicit

## ◆ ResultError() [2/4]

template<class C >

AAX::Exception::ResultError::ResultError | ( | AAX_Result | inWhatResult,
|  | const C & | inFunction
| ) |  |
| inline explicit

## ◆ ResultError() [3/4]

template<class C1 , class C2 >

AAX::Exception::ResultError::ResultError | ( | AAX_Result | inWhatResult,
|  | const C1 & | inFunction,
|  | const C2 & | inLine
| ) |  |
| inline explicit

## ◆ ResultError() [4/4]

AAX::Exception::ResultError::ResultError | ( | const ResultError & | inOther | ) |
| inline

## Member Function Documentation

## ◆ FormatResult()

static std::string AAX::Exception::ResultError::FormatResult | ( | AAX_Result | inResult | ) |
| inline static

References AAX::AsStringInt32(), and AAX::AsStringResult().

Here is the call graph for this function:

## ◆ Result()

AAX_Result AAX::Exception::ResultError::Result | ( |  | ) | const
| inline

The documentation for this class was generated from the following file:

- AAX_Exception.h